## gutenbrowser-0.6.8.tar.bz2

=== Makefile ===
#############################################################################
# Makefile for building gutenbrowser
# Generated by tmake at 21:51, 2001/07/25
#     Project: gutenbrowser
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -Wall -W -O2 -DNO_DEBUG
CXXFLAGS=	-pipe -Wall -W -O2 -DNO_DEBUG
INCPATH	=	-I$(QTDIR)/include
LINK	=	g++
LFLAGS	=	
LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -L/usr/X11R6/lib -lqt -lXext -lX11 -lm
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	bzip2 -f

####### Files

HEADERS =	CConfigFile.h \
		CConfigGroup.h \
		LibraryDialog.h \
		NetworkDialog.h \
		SearchDialog.h \
		SearchResults.h \
		bookmarksdlg.h \
		helpme.h \
		http.h \
		multiline_ex.h \
		openetext.h \
		optionsDialog.h \
		helpwindow.h \
		wood.h \
		metal.h \
		gutenbrowserdoc.h \
		gutenbrowserview.h \
		gutenbrowser.h \
		resource.h
SOURCES =	CConfigFile.cpp \
		CConfigGroup.cpp \
		LibraryDialog.cpp \
		LibraryDialogData.cpp \
		NetworkDialog.cpp \
		SearchDialog.cpp \
		SearchResults.cpp \
		bookmarksdlg.cpp \
		browserDialog.cpp \
		ftpsitedlg.cpp \
		helpme.cpp \
		http.cpp \
		multiline_ex.cpp \
		openetext.cpp \
		openetextdata.cpp \
		optionsDialog.cpp \
		optionsDialogData.cpp \
		helpwindow.cpp \
		styles.cpp \
		wood.cpp \
		metal.cpp \
		gutenbrowserData.cpp \
		gutenbrowserdoc.cpp \
		gutenbrowserview.cpp \
		gutenbrowser.cpp \
		main.cpp
OBJECTS =	CConfigFile.o \
		CConfigGroup.o \
		LibraryDialog.o \
		LibraryDialogData.o \
		NetworkDialog.o \
		SearchDialog.o \
		SearchResults.o \
		bookmarksdlg.o \
		browserDialog.o \
		ftpsitedlg.o \
		helpme.o \
		http.o \
		multiline_ex.o \
		openetext.o \
		openetextdata.o \
		optionsDialog.o \
		optionsDialogData.o \
		helpwindow.o \
		styles.o \
		wood.o \
		metal.o \
		gutenbrowserData.o \
		gutenbrowserdoc.o \
		gutenbrowserview.o \
		gutenbrowser.o \
		main.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	moc_LibraryDialog.cpp \
		moc_NetworkDialog.cpp \
		moc_SearchDialog.cpp \
		moc_SearchResults.cpp \
		moc_bookmarksdlg.cpp \
		moc_helpme.cpp \
		moc_http.cpp \
		moc_multiline_ex.cpp \
		moc_openetext.cpp \
		moc_optionsDialog.cpp \
		moc_helpwindow.cpp \
		moc_gutenbrowserdoc.cpp \
		moc_gutenbrowserview.cpp \
		moc_gutenbrowser.cpp
OBJMOC	=	moc_LibraryDialog.o \
		moc_NetworkDialog.o \
		moc_SearchDialog.o \
		moc_SearchResults.o \
		moc_bookmarksdlg.o \
		moc_helpme.o \
		moc_http.o \
		moc_multiline_ex.o \
		moc_openetext.o \
		moc_optionsDialog.o \
		moc_helpwindow.o \
		moc_gutenbrowserdoc.o \
		moc_gutenbrowserview.o \
		moc_gutenbrowser.o
DIST	=	pix/exit.xpm \
		pix/forward.xpm \
		pix/parchment.xpm \
		pix/back.xpm \
		pix/filenew.xpm \
		pix/gutenbrowser.xpm \
		pix/parchment_2.xpm \
		pix/text.xpm \
		pix/configure.xpm \
		pix/fileopen.xpm \
		pix/help.xpm \
		pix/parchment_3.xpm \
		pix/tick.xpm \
		pix/delete.xpm \
		pix/fileprint.xpm \
		pix/home.xpm \
		pix/search.xpm \
		pix/down.xpm \
		pix/filesave.xpm \
		pix/spellcheck.xpm \
		pix/eraser.xpm \
		pix/flag.xpm \
		pix/openbook.xpm \
		doc/index-1.html \
		doc/index-6.html \
		doc/index-2.html \
		doc/index.html \
		doc/index-3.html \
		doc/index-4.html \
		doc/index-5.html \
		doc/PGWHOLE.TXT \
		doc/ftpList \
		doc/gutenbrowser.sgml \
		doc/gutenbrowser.1 \
		AUTHORS \
		COPYING \
		COPYRIGHT \
		GPL \
		gutenbrowser \
		gutenbrowser.lsm \
		gutenbrowser.dsp \
		INSTALL \
		Install.sh \
		Makefile \
		NEWS \
		README \
		TODO \
		gutenbrowser.spec \
		gutenbrowser.desktop \
		debian/control \
		debian/copyright \
		debian/dirs \
		debian/docs \
		debian/gutenbrowser.doc-base \
		debian/gutenbrowser.menu \
		debian/rules
TARGET	=	gutenbrowser
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: gutenbrowser.pro
	tmake gutenbrowser.pro -o Makefile

dist:
	$(TAR) gutenbrowser.tar gutenbrowser.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) gutenbrowser.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

####### Sub-libraries


###### Combined headers


####### Compile

CConfigFile.o: CConfigFile.cpp \
		CConfigFile.h \
		CConfigGroup.h

CConfigGroup.o: CConfigGroup.cpp \
		CConfigGroup.h

LibraryDialog.o: LibraryDialog.cpp \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h

LibraryDialogData.o: LibraryDialogData.cpp \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h

NetworkDialog.o: NetworkDialog.cpp \
		NetworkDialog.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h \
		http.h

SearchDialog.o: SearchDialog.cpp \
		SearchDialog.h \
		SearchResults.h

SearchResults.o: SearchResults.cpp \
		SearchResults.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

bookmarksdlg.o: bookmarksdlg.cpp \
		bookmarksdlg.h

browserDialog.o: browserDialog.cpp \
		optionsDialog.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

ftpsitedlg.o: ftpsitedlg.cpp \
		optionsDialog.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

helpme.o: helpme.cpp \
		helpme.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h \
		helpwindow.h

http.o: http.cpp \
		http.h

multiline_ex.o: multiline_ex.cpp \
		multiline_ex.h

openetext.o: openetext.cpp \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h \
		openetext.h

openetextdata.o: openetextdata.cpp \
		openetext.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

optionsDialog.o: optionsDialog.cpp \
		optionsDialog.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

optionsDialogData.o: optionsDialogData.cpp \
		optionsDialog.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

helpwindow.o: helpwindow.cpp \
		helpwindow.h

styles.o: styles.cpp \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h \
		wood.h \
		metal.h

wood.o: wood.cpp \
		wood.h

metal.o: metal.cpp \
		metal.h \
		stonedark.xpm \
		stone1.xpm \
		marble.xpm

gutenbrowserData.o: gutenbrowserData.cpp \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

gutenbrowserdoc.o: gutenbrowserdoc.cpp \
		gutenbrowserdoc.h

gutenbrowserview.o: gutenbrowserview.cpp \
		gutenbrowserview.h \
		gutenbrowserdoc.h

gutenbrowser.o: gutenbrowser.cpp \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h \
		bookmarksdlg.h \
		optionsDialog.h \
		helpme.h \
		openetext.h

main.o: main.cpp \
		http.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

moc_LibraryDialog.o: moc_LibraryDialog.cpp \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h

moc_NetworkDialog.o: moc_NetworkDialog.cpp \
		NetworkDialog.h

moc_SearchDialog.o: moc_SearchDialog.cpp \
		SearchDialog.h \
		SearchResults.h

moc_SearchResults.o: moc_SearchResults.cpp \
		SearchResults.h

moc_bookmarksdlg.o: moc_bookmarksdlg.cpp \
		bookmarksdlg.h

moc_helpme.o: moc_helpme.cpp \
		helpme.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

moc_http.o: moc_http.cpp \
		http.h

moc_multiline_ex.o: moc_multiline_ex.cpp \
		multiline_ex.h

moc_openetext.o: moc_openetext.cpp \
		openetext.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

moc_optionsDialog.o: moc_optionsDialog.cpp \
		optionsDialog.h \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

moc_helpwindow.o: moc_helpwindow.cpp \
		helpwindow.h

moc_gutenbrowserdoc.o: moc_gutenbrowserdoc.cpp \
		gutenbrowserdoc.h

moc_gutenbrowserview.o: moc_gutenbrowserview.cpp \
		gutenbrowserview.h \
		gutenbrowserdoc.h

moc_gutenbrowser.o: moc_gutenbrowser.cpp \
		gutenbrowser.h \
		LibraryDialog.h \
		CConfigFile.h \
		CConfigGroup.h \
		SearchDialog.h \
		SearchResults.h \
		NetworkDialog.h \
		multiline_ex.h \
		gutenbrowserview.h \
		gutenbrowserdoc.h \
		resource.h

moc_LibraryDialog.cpp: LibraryDialog.h
	$(MOC) LibraryDialog.h -o moc_LibraryDialog.cpp

moc_NetworkDialog.cpp: NetworkDialog.h
	$(MOC) NetworkDialog.h -o moc_NetworkDialog.cpp

moc_SearchDialog.cpp: SearchDialog.h
	$(MOC) SearchDialog.h -o moc_SearchDialog.cpp

moc_SearchResults.cpp: SearchResults.h
	$(MOC) SearchResults.h -o moc_SearchResults.cpp

moc_bookmarksdlg.cpp: bookmarksdlg.h
	$(MOC) bookmarksdlg.h -o moc_bookmarksdlg.cpp

moc_helpme.cpp: helpme.h
	$(MOC) helpme.h -o moc_helpme.cpp

moc_http.cpp: http.h
	$(MOC) http.h -o moc_http.cpp

moc_multiline_ex.cpp: multiline_ex.h
	$(MOC) multiline_ex.h -o moc_multiline_ex.cpp

moc_openetext.cpp: openetext.h
	$(MOC) openetext.h -o moc_openetext.cpp

moc_optionsDialog.cpp: optionsDialog.h
	$(MOC) optionsDialog.h -o moc_optionsDialog.cpp

moc_helpwindow.cpp: helpwindow.h
	$(MOC) helpwindow.h -o moc_helpwindow.cpp

moc_gutenbrowserdoc.cpp: gutenbrowserdoc.h
	$(MOC) gutenbrowserdoc.h -o moc_gutenbrowserdoc.cpp

moc_gutenbrowserview.cpp: gutenbrowserview.h
	$(MOC) gutenbrowserview.h -o moc_gutenbrowserview.cpp

moc_gutenbrowser.cpp: gutenbrowser.h
	$(MOC) gutenbrowser.h -o moc_gutenbrowser.cpp

=== control ===
Source: gutenbrowser
Section: text
Priority: optional
Maintainer: Viral <viral@debian.org>
Build-Depends: debhelper (>> 3.0.0), libc6-dev, libpng2-dev, libqt-dev, libstdc++2.10-dev, xlibs-dev, zlib1g-dev
Standards-Version: 3.5.2

Package: gutenbrowser
Architecture: any
Depends: ${shlibs:Depends}, unzip
Description: Project Gutenberg Etext reader
 gutenbrowser is a reader for etexts produced by Project Gutenberg. It
 integrates with KDE. You only need the libraries to run it though.
 . 
 Project Gutenberg (http://promo.net/pg/index.html) aims to make public
 domain literature available to the world in ASCII text format.

=== rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/gutenbrowser.sgml > gutenbrowser.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gutenbrowser.
        #$(MAKE) install DESTDIR=$(CURDIR)/debian/gutenbrowser

	# Install icons
	install -m 664 pix/*.xpm $(CURDIR)/debian/gutenbrowser/usr/share/gutenbrowser/pix

	# Install binary
	install -m 755 gutenbrowser $(CURDIR)/debian/gutenbrowser/usr/bin

	# Install docs
	install -m 664 docs/PGWHOLE.TXT docs/ftpList $(CURDIR)/debian/gutenbrowser/usr/share/doc/g\utenbrowser/
	install -m 664 docs/*.html $(CURDIR)/debian/gutenbrowser/usr/share/doc/g\utenbrowser/html


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_undocumented gutenbrowser.1
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
